# $Revision: 1.86 $, $Date: 2010/09/12 20:32:27 $
Summary:	An image viewer and browser for GNOME
Summary(pl.UTF-8):	Przeglądarka obrazków dla GNOME
Name:		gthumb
Version:	2.10.12
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gthumb/2.10/%{name}-%{version}.tar.bz2
# Source0-md5:	a9037ce99e62069e2977243a364074b3
Patch0:		%{name}-desktop.patch
URL:		http://gthumb.sourceforge.net/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gnome-vfs2-devel >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.12.3
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libexif-devel >= 1:0.6.13
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.20.1
BuildRequires:	libgphoto2-devel >= 2.2.1
BuildRequires:	libiptcdata-devel >= 0.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-gnome-devel >= 0.0.2
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXxf86vm-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	gtk+2 >= 2:2.12.0
Requires:	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gThumb lets you browse your hard disk, showing you thumbnails of image
files. It also lets you view single files (including GIF animations),
add comments to images, organize images in catalogs, print images,
view slideshows, set your desktop background, and more.

%description -l pl.UTF-8
gThumb pozwala na przeglądanie twardego dysku z pokazywaniem
miniaturek plików z obrazkami. Pozwala także oglądać pojedyncze pliki
(w tym animacje GIF), dodawać komentarze do obrazków, układać obrazki
w katalogi, drukować obrazki, oglądać slajdy, ustawiać tło biurka itd.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#sr@Latn#sr@latin#' po/LINGUAS
mv -f po/sr@{Latn,latin}.po

%build
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libgthumb.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.{a,la}
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gthumb.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gthumb.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libgthumb.so
%{_libdir}/bonobo/servers/*.server
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/gconf/schemas/gthumb.schemas
%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gthumb.spec,v $
Revision 1.86  2010/09/12 20:32:27  dzeus
- up to 2.10.12

Revision 1.85  2010/03/01 18:12:03  sparky
- BR: libopenraw-gnome-devel
- dropped unused libunique

Revision 1.84  2010/02/27 17:23:43  hawk
- release 3

Revision 1.83  2010/01/14 13:46:13  hawk
- release 2

Revision 1.82  2009/11/28 22:41:57  sparky
- BR: docbook-dtd412-xml

Revision 1.81  2009/07/13 06:05:13  dzeus
- up to 2.10.11

Revision 1.80  2009/07/12 13:24:05  arekm
- release 2

Revision 1.79  2009/04/04 23:28:00  patrys
- unique -> libunique

Revision 1.78  2008/12/26 21:24:19  dzeus
- up to 2.10.10

Revision 1.77  2008/01/02 18:14:22  megabajt
- updated to 2.10.8
- used better way to fix locale name and --with-omf

Revision 1.76  2007-11-04 23:10:25  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.75  2007/10/17 18:25:31  megabajt
- updated to 2.10.7

Revision 1.74  2007/08/29 20:57:08  aflinta
- up to version 2.10.6

Revision 1.73  2007/06/20 21:52:00  megabajt
- updated to 2.10.4

Revision 1.72  2007/04/10 09:42:37  megabajt
- updated to 2.10.2

Revision 1.71  2007/03/29 19:09:11  megabajt
- updated to 2.10.1

Revision 1.70  2007/03/23 20:13:43  dzeus
- removed obsolete link.patch (included in source)
- updated desktop.patch

Revision 1.69  2007/03/23 16:44:54  aredridel
- 2.10.0

Revision 1.68  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.66  2006/12/25 18:49:44  megabajt
- updated to 2.8.1
- added link patch (kill undefined symbol: gp_camera_new)

Revision 1.65  2006/12/17 13:35:33  aflinta
- 2.8.0

Revision 1.64  2006/10/03 19:51:22  grzegol
- updated to 2.7.9
- removed outdated libadd patch (applied upstream)

Revision 1.63  2006/08/12 16:52:55  freetz
- fix build with --as-needed (libadd patch), rel.3

Revision 1.62  2006/08/10 20:43:44  freetz
- rel.2 for rebuild with new openssl

Revision 1.61  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.60  2006/07/26 18:45:04  freetz
- 2.8.8, use rpm macros, disable --as-needed build

Revision 1.59  2006/06/11 10:14:10  freetz
- more changes described

Revision 1.58  2006/06/11 10:06:16  freetz
- merged from DEVEL, GNOME 2.15.x deps, (re)generate icon cache,
  changelog cut
